aboutsummaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.org>2024-12-15 06:11:19 +0200
committerkaotisk <kaotisk@arching-kaos.org>2024-12-15 06:11:19 +0200
commitd9a69f2f4c861946f43fb8c8cd4c7c431a6cf266 (patch)
treee1c6c2644518e2a2e43f55acf1180545d3c2fc8e /lib
parent0fbfbb71a006203137f8f0f905cb55a277298735 (diff)
downloadarching-kaos-tools-d9a69f2f4c861946f43fb8c8cd4c7c431a6cf266.tar.gz
arching-kaos-tools-d9a69f2f4c861946f43fb8c8cd4c7c431a6cf266.tar.bz2
arching-kaos-tools-d9a69f2f4c861946f43fb8c8cd4c7c431a6cf266.zip
New function in 'ak fs' '--net-cat-from-mapHEADorigin/masterorigin/HEADmaster
Diffstat (limited to 'lib')
-rwxr-xr-xlib/_ak_cjdns18
-rwxr-xr-xlib/_ak_coin18
-rwxr-xr-xlib/_ak_config18
-rwxr-xr-xlib/_ak_fm18
-rwxr-xr-xlib/_ak_fs18
-rwxr-xr-xlib/_ak_gpg24
-rwxr-xr-xlib/_ak_hash_exchange18
-rwxr-xr-xlib/_ak_html18
-rwxr-xr-xlib/_ak_ipfs18
-rwxr-xr-xlib/_ak_log24
-rwxr-xr-xlib/_ak_network18
-rwxr-xr-xlib/_ak_node18
-rwxr-xr-xlib/_ak_sblock18
-rwxr-xr-xlib/_ak_schain18
-rwxr-xr-xlib/_ak_script60
-rwxr-xr-xlib/_ak_settings18
-rwxr-xr-xlib/_ak_smfiles18
-rwxr-xr-xlib/_ak_zblock19
-rwxr-xr-xlib/_ak_zchain18
19 files changed, 387 insertions, 10 deletions
diff --git a/lib/_ak_cjdns b/lib/_ak_cjdns
index f997690..30229ca 100755
--- a/lib/_ak_cjdns
+++ b/lib/_ak_cjdns
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_log
source $AK_LIBDIR/_ak_network
diff --git a/lib/_ak_coin b/lib/_ak_coin
index e289841..dd895a0 100755
--- a/lib/_ak_coin
+++ b/lib/_ak_coin
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
# coin max is 10,000.0000000
# but we count in integer to avoid floating point arithmetic :P
#
diff --git a/lib/_ak_config b/lib/_ak_config
index 252a4e2..0a4d55c 100755
--- a/lib/_ak_config
+++ b/lib/_ak_config
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_node
_ak_config_show(){
diff --git a/lib/_ak_fm b/lib/_ak_fm
index 159f60c..8cc97e1 100755
--- a/lib/_ak_fm
+++ b/lib/_ak_fm
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
function _ak_fm_remove_line_from_file(){
tempfile="$(_ak_make_temp_file)"
diff --git a/lib/_ak_fs b/lib/_ak_fs
index 9a04ff0..c4adf11 100755
--- a/lib/_ak_fs
+++ b/lib/_ak_fs
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_log
source $AK_LIBDIR/_ak_hash_exchange
diff --git a/lib/_ak_gpg b/lib/_ak_gpg
index 0d838f1..1450c60 100755
--- a/lib/_ak_gpg
+++ b/lib/_ak_gpg
@@ -1,9 +1,29 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_log
source $AK_LIBDIR/_ak_ipfs
source $AK_LIBDIR/_ak_config
source $AK_LIBDIR/_ak_settings
+export AK_FINGERPRINT="$(_ak_settings_get gpg.fingerprint)"
+
_ak_gpg(){
gpg2 --homedir $AK_GPGHOME $*
}
@@ -13,8 +33,8 @@ _ak_gpg_check_or_create(){
if [ $? -ne 0 ]
then
_ak_gpg --batch --passphrase '' --quick-gen-key kaos@kaos.kaos rsa3072 sign 0
- AK_FINGERPRINT="$(_ak_gpg --list-keys | grep kaos@kaos.kaos -B 1 | head -n 1 | awk '{print $1}')"
- _ak_gpg --batch --passphrase '' --quick-add-key $AK_FINGERPRINT rsa3072 encrypt 0
+ FINGERPRINT="$(_ak_gpg --list-keys | grep kaos@kaos.kaos -B 1 | head -n 1 | awk '{print $1}')"
+ _ak_gpg --batch --passphrase '' --quick-add-key $FINGERPRINT rsa3072 encrypt 0
fi
}
diff --git a/lib/_ak_hash_exchange b/lib/_ak_hash_exchange
index 80e5ae3..2e39658 100755
--- a/lib/_ak_hash_exchange
+++ b/lib/_ak_hash_exchange
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_log
source $AK_LIBDIR/_ak_fm
AK_TREEFS="$AK_WORKDIR/tree"
diff --git a/lib/_ak_html b/lib/_ak_html
index c31172e..5a47836 100755
--- a/lib/_ak_html
+++ b/lib/_ak_html
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_log
_ak_generate_html_header(){
diff --git a/lib/_ak_ipfs b/lib/_ak_ipfs
index 896db37..1297949 100755
--- a/lib/_ak_ipfs
+++ b/lib/_ak_ipfs
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_log
AK_IPFS_REPO="$AK_WORKDIR/ipfsrepo"
AK_IPFS_ARTIFACTS="$AK_WORKDIR/ipfs_artifacts"
diff --git a/lib/_ak_log b/lib/_ak_log
index a3ee259..f6ffc21 100755
--- a/lib/_ak_log
+++ b/lib/_ak_log
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
_ak_log_print_log_line(){
if [ -n "$1" ]
@@ -78,7 +96,7 @@ _ak_log_message(){
then
echo "$TS" "<$1>" "[ERROR]" "No message" >&2
fi
- exit 1
+ return 1
fi
else
echo "$TS" "<$1>" "[ERROR]" "No type and message" >> $AK_LOGSFILE
@@ -86,7 +104,7 @@ _ak_log_message(){
then
echo "$TS" "<$1>" "[ERROR]" "No type and message" >&2
fi
- exit 1
+ return 1
fi
else
echo "$TS" "<$(basename $0)>" "[ERROR]" "No arguments given" >> $AK_LOGSFILE
@@ -94,7 +112,7 @@ _ak_log_message(){
then
echo "$TS" "<$(basename $0)>" "[ERROR]" "No arguments given" >&2
fi
- exit 1
+ return 1
fi
}
diff --git a/lib/_ak_network b/lib/_ak_network
index 39f0466..a6faf87 100755
--- a/lib/_ak_network
+++ b/lib/_ak_network
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_log
source $AK_LIBDIR/_ak_ipfs
diff --git a/lib/_ak_node b/lib/_ak_node
index b4736d8..1cc009a 100755
--- a/lib/_ak_node
+++ b/lib/_ak_node
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_ipfs
# Resolves the IPNS key "ak-config" to its current IPFS value
diff --git a/lib/_ak_sblock b/lib/_ak_sblock
index fbe6913..6af345a 100755
--- a/lib/_ak_sblock
+++ b/lib/_ak_sblock
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_log
diff --git a/lib/_ak_schain b/lib/_ak_schain
index 136d1fd..a858fa7 100755
--- a/lib/_ak_schain
+++ b/lib/_ak_schain
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_sblock
diff --git a/lib/_ak_script b/lib/_ak_script
index 96d5a51..33d712b 100755
--- a/lib/_ak_script
+++ b/lib/_ak_script
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_log
# Wanna talk about it?
@@ -26,7 +44,12 @@ function _ak_exit_program(){
function _ak_help(){
if [ ! -z $fullprogrampath ] && [ -n "$fullprogrampath" ]
then
- cat $fullprogrampath |grep '^##'| sed 's/^##//g;s/^ //g' 1>&2
+ cat $fullprogrampath | grep -v '^###' | grep '^##'| sed 's/^##//g;s/^ //g' >&2 #| \
+ # cat | while read line
+ # do
+ # echo -n "$line" | xxd
+ # _ak_log_info "$line"
+ # done
exit 1
else
_ak_log_error "fullprogrampath was not set"
@@ -34,6 +57,16 @@ function _ak_help(){
fi
}
+function _ak_license(){
+ if [ ! -z $fullprogrampath ] && [ -n "$fullprogrampath" ]
+ then
+ cat $fullprogrampath | grep '^###' | sed 's/^###//g;s/^ //g' >&2
+ else
+ _ak_log_error "fullprogrampath was not set"
+ exit 1
+ fi
+}
+
function _ak_title_description(){
if [ ! -n "$descriptionString" ]
then
@@ -57,8 +90,11 @@ function _ak_title_description(){
}
function _ak_usage(){
- _ak_title_description
- _ak_help 2>&1
+ (
+ _ak_title_description 2>&1
+ _ak_license 2>&1
+ _ak_help 2>&1
+ ) | sed 's/^/# /g' | while read line; do _ak_log_info "$line"; done
}
function _ak_print_version(){
@@ -114,7 +150,7 @@ function _ak_check_and_create_dir(){
mkdir -p "$1"
if [ $? -eq 0 ]
then
- _ak_log_info "Folder $1 created!"
+ _ak_log_info "Directory $1 created!"
else
_ak_log_error "Problem occured while creating $1"
exit 1
@@ -123,3 +159,19 @@ function _ak_check_and_create_dir(){
_ak_log_debug "$1 dir found"
fi
}
+
+function _ak_let_there_be_file(){
+ if [ ! -f "$1" ]
+ then
+ touch "$1"
+ if [ $? -eq 0 ]
+ then
+ _ak_log_info "File $1 created!"
+ else
+ _ak_log_error "Problem occured while creating $1"
+ exit 1
+ fi
+ else
+ _ak_log_debug "$1 file found"
+ fi
+}
diff --git a/lib/_ak_settings b/lib/_ak_settings
index 5a38a1e..725ab5c 100755
--- a/lib/_ak_settings
+++ b/lib/_ak_settings
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_script
diff --git a/lib/_ak_smfiles b/lib/_ak_smfiles
index f41d006..4663b45 100755
--- a/lib/_ak_smfiles
+++ b/lib/_ak_smfiles
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_log
# The directory where the chunked data will be living at
diff --git a/lib/_ak_zblock b/lib/_ak_zblock
index 9b38d8f..6edf33c 100755
--- a/lib/_ak_zblock
+++ b/lib/_ak_zblock
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
#set -x
source $AK_LIBDIR/_ak_log
source $AK_LIBDIR/_ak_script
@@ -110,7 +128,6 @@ _ak_data_expand(){
# Returns a JSON array representing the chain retrieved.
# Logs messages to $LOGSFILE.
_ak_zblock_show(){
- caller >&2
verify=1
if [ ! -z $1 ] && [ -n "$1" ]
then
diff --git a/lib/_ak_zchain b/lib/_ak_zchain
index 4bc76a0..62f2c97 100755
--- a/lib/_ak_zchain
+++ b/lib/_ak_zchain
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+###
+### arching-kaos-tools
+### Tools to interact and build an Arching Kaos Infochain
+### Copyright (C) 2021 - 2025 kaotisk
+###
+### This program is free software: you can redistribute it and/or modify
+### it under the terms of the GNU General Public License as published by
+### the Free Software Foundation, either version 3 of the License, or
+### (at your option) any later version.
+###
+### This program is distributed in the hope that it will be useful,
+### but WITHOUT ANY WARRANTY; without even the implied warranty of
+### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+### GNU General Public License for more details.
+###
+### You should have received a copy of the GNU General Public License
+### along with this program. If not, see <http://www.gnu.org/licenses/>.
+###
source $AK_LIBDIR/_ak_log
source $AK_LIBDIR/_ak_ipfs
source $AK_LIBDIR/_ak_zblock